# Uses of Class
org.eclipse.ecf.provider.remoteservice.generic.RegistrySharedObject

Packages that use RegistrySharedObject
Package
Description
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.remoteservice.servlet

## Uses of RegistrySharedObject in org.eclipse.ecf.provider.remoteservice.generic

Fields in org.eclipse.ecf.provider.remoteservice.generic declared as RegistrySharedObject
Modifier and Type
Field
Description
`protected RegistrySharedObject`
RemoteServiceImpl.`sharedObject`
`protected RegistrySharedObject`
RemoteServiceRegistrationImpl.`sharedObject`
Methods in org.eclipse.ecf.provider.remoteservice.generic with parameters of type RegistrySharedObject
Modifier and Type
Method
Description
`void`
RemoteServiceRegistrationImpl.`publish(RegistrySharedObject sharedObject1, RemoteServiceRegistryImpl registry, Object svc, String[] clzzes, Dictionary props)`
Constructors in org.eclipse.ecf.provider.remoteservice.generic with parameters of type RegistrySharedObject
Modifier
Constructor
Description
``
`RemoteServiceImpl(RegistrySharedObject sharedObject, RemoteServiceRegistrationImpl registration)`

## Uses of RegistrySharedObject in org.eclipse.ecf.remoteservice.servlet

Methods in org.eclipse.ecf.remoteservice.servlet that return RegistrySharedObject
Modifier and Type
Method
Description
`protected RegistrySharedObject`
ServletServerContainer.`getRegistrySharedObject()`